{% extends "base_title.html" %}
{% load staticfiles %}

{% block extra_head %}
		<script src="{% static "js/jquery.min.js" %}" type="text/javascript"></script>
		<script src="{% static "autocomplete_light/autocomplete.js" %}" type="text/javascript"></script>
{% endblock %}

{% block realcontent %}
    <h2>Inscription d'un nouveau membre</h2>
    <input type="text" name="q" id="search_autocomplete" spellcheck="false" />
    <div id="form-placeholder"></div>
    <span class="yourlabs-autocomplete"></span>
    <script type="text/javascript">
        // On attend que la page soit prête pour executer le code
        $(document).ready(function() {
            $('input#search_autocomplete').yourlabsAutocomplete({
                url: '{% url 'gestioncof.autocomplete.autocomplete' %}',
                minimumCharacters: 1,
                id: 'search_autocomplete',
                choiceSelector: 'li:has(a)',
                placeholder: "Chercher un utilisateur par nom, prénom ou identifiant clipper",
                container: $("#main-content"),
                box: $(".yourlabs-autocomplete"),
                fixPosition: function() {},
            });
            $('input#search_autocomplete').bind(
                'selectChoice',
                function(e, choice, autocomplete) {
                    autocomplete.hide();
                    link = choice.find('a:first');
                    if (link.length && link.attr('href') != undefined) {
                        $('#form-placeholder').html("").load(link.attr('href'), function() {
                            $('#form-placeholder').toggle().toggle();
                        });
                    }
                }
            );
        });
    </script>
{% endblock %}
